Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
20ad::/16
First address
20ad::
Last address
20ad:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
20ad:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
d.a.0.2.ip6.arpa
Split into smaller subnets/32

20ad::/16 makes 65,536 subnets of /32; the first 256 are listed.

Subnets
#SubnetLast address
120ad::/3220ad:0:ffff:ffff:ffff:ffff:ffff:ffff
220ad:1::/3220ad:1:ffff:ffff:ffff:ffff:ffff:ffff
320ad:2::/3220ad:2:ffff:ffff:ffff:ffff:ffff:ffff
420ad:3::/3220ad:3:ffff:ffff:ffff:ffff:ffff:ffff
520ad:4::/3220ad:4:ffff:ffff:ffff:ffff:ffff:ffff
620ad:5::/3220ad:5:ffff:ffff:ffff:ffff:ffff:ffff
720ad:6::/3220ad:6:ffff:ffff:ffff:ffff:ffff:ffff
820ad:7::/3220ad:7:ffff:ffff:ffff:ffff:ffff:ffff
920ad:8::/3220ad:8:ffff:ffff:ffff:ffff:ffff:ffff
1020ad:9::/3220ad:9:ffff:ffff:ffff:ffff:ffff:ffff
1120ad:a::/3220ad:a:ffff:ffff:ffff:ffff:ffff:ffff
1220ad:b::/3220ad:b:ffff:ffff:ffff:ffff:ffff:ffff
1320ad:c::/3220ad:c:ffff:ffff:ffff:ffff:ffff:ffff
1420ad:d::/3220ad:d:ffff:ffff:ffff:ffff:ffff:ffff
1520ad:e::/3220ad:e:ffff:ffff:ffff:ffff:ffff:ffff
1620ad:f::/3220ad:f:ffff:ffff:ffff:ffff:ffff:ffff
1720ad:10::/3220ad:10:ffff:ffff:ffff:ffff:ffff:ffff
1820ad:11::/3220ad:11:ffff:ffff:ffff:ffff:ffff:ffff
1920ad:12::/3220ad:12:ffff:ffff:ffff:ffff:ffff:ffff
2020ad:13::/3220ad:13:ffff:ffff:ffff:ffff:ffff:ffff
2120ad:14::/3220ad:14:ffff:ffff:ffff:ffff:ffff:ffff
2220ad:15::/3220ad:15:ffff:ffff:ffff:ffff:ffff:ffff
2320ad:16::/3220ad:16:ffff:ffff:ffff:ffff:ffff:ffff
2420ad:17::/3220ad:17:ffff:ffff:ffff:ffff:ffff:ffff
2520ad:18::/3220ad:18:ffff:ffff:ffff:ffff:ffff:ffff
2620ad:19::/3220ad:19:ffff:ffff:ffff:ffff:ffff:ffff
2720ad:1a::/3220ad:1a:ffff:ffff:ffff:ffff:ffff:ffff
2820ad:1b::/3220ad:1b:ffff:ffff:ffff:ffff:ffff:ffff
2920ad:1c::/3220ad:1c:ffff:ffff:ffff:ffff:ffff:ffff
3020ad:1d::/3220ad:1d:ffff:ffff:ffff:ffff:ffff:ffff
3120ad:1e::/3220ad:1e:ffff:ffff:ffff:ffff:ffff:ffff
3220ad:1f::/3220ad:1f:ffff:ffff:ffff:ffff:ffff:ffff
3320ad:20::/3220ad:20:ffff:ffff:ffff:ffff:ffff:ffff
3420ad:21::/3220ad:21:ffff:ffff:ffff:ffff:ffff:ffff
3520ad:22::/3220ad:22:ffff:ffff:ffff:ffff:ffff:ffff
3620ad:23::/3220ad:23:ffff:ffff:ffff:ffff:ffff:ffff
3720ad:24::/3220ad:24:ffff:ffff:ffff:ffff:ffff:ffff
3820ad:25::/3220ad:25:ffff:ffff:ffff:ffff:ffff:ffff
3920ad:26::/3220ad:26:ffff:ffff:ffff:ffff:ffff:ffff
4020ad:27::/3220ad:27:ffff:ffff:ffff:ffff:ffff:ffff
4120ad:28::/3220ad:28:ffff:ffff:ffff:ffff:ffff:ffff
4220ad:29::/3220ad:29:ffff:ffff:ffff:ffff:ffff:ffff
4320ad:2a::/3220ad:2a:ffff:ffff:ffff:ffff:ffff:ffff
4420ad:2b::/3220ad:2b:ffff:ffff:ffff:ffff:ffff:ffff
4520ad:2c::/3220ad:2c:ffff:ffff:ffff:ffff:ffff:ffff
4620ad:2d::/3220ad:2d:ffff:ffff:ffff:ffff:ffff:ffff
4720ad:2e::/3220ad:2e:ffff:ffff:ffff:ffff:ffff:ffff
4820ad:2f::/3220ad:2f:ffff:ffff:ffff:ffff:ffff:ffff
4920ad:30::/3220ad:30:ffff:ffff:ffff:ffff:ffff:ffff
5020ad:31::/3220ad:31:ffff:ffff:ffff:ffff:ffff:ffff
5120ad:32::/3220ad:32:ffff:ffff:ffff:ffff:ffff:ffff
5220ad:33::/3220ad:33:ffff:ffff:ffff:ffff:ffff:ffff
5320ad:34::/3220ad:34:ffff:ffff:ffff:ffff:ffff:ffff
5420ad:35::/3220ad:35:ffff:ffff:ffff:ffff:ffff:ffff
5520ad:36::/3220ad:36:ffff:ffff:ffff:ffff:ffff:ffff
5620ad:37::/3220ad:37:ffff:ffff:ffff:ffff:ffff:ffff
5720ad:38::/3220ad:38:ffff:ffff:ffff:ffff:ffff:ffff
5820ad:39::/3220ad:39:ffff:ffff:ffff:ffff:ffff:ffff
5920ad:3a::/3220ad:3a:ffff:ffff:ffff:ffff:ffff:ffff
6020ad:3b::/3220ad:3b:ffff:ffff:ffff:ffff:ffff:ffff
6120ad:3c::/3220ad:3c:ffff:ffff:ffff:ffff:ffff:ffff
6220ad:3d::/3220ad:3d:ffff:ffff:ffff:ffff:ffff:ffff
6320ad:3e::/3220ad:3e:ffff:ffff:ffff:ffff:ffff:ffff
6420ad:3f::/3220ad:3f:ffff:ffff:ffff:ffff:ffff:ffff
6520ad:40::/3220ad:40:ffff:ffff:ffff:ffff:ffff:ffff
6620ad:41::/3220ad:41:ffff:ffff:ffff:ffff:ffff:ffff
6720ad:42::/3220ad:42:ffff:ffff:ffff:ffff:ffff:ffff
6820ad:43::/3220ad:43:ffff:ffff:ffff:ffff:ffff:ffff
6920ad:44::/3220ad:44:ffff:ffff:ffff:ffff:ffff:ffff
7020ad:45::/3220ad:45:ffff:ffff:ffff:ffff:ffff:ffff
7120ad:46::/3220ad:46:ffff:ffff:ffff:ffff:ffff:ffff
7220ad:47::/3220ad:47:ffff:ffff:ffff:ffff:ffff:ffff
7320ad:48::/3220ad:48:ffff:ffff:ffff:ffff:ffff:ffff
7420ad:49::/3220ad:49:ffff:ffff:ffff:ffff:ffff:ffff
7520ad:4a::/3220ad:4a:ffff:ffff:ffff:ffff:ffff:ffff
7620ad:4b::/3220ad:4b:ffff:ffff:ffff:ffff:ffff:ffff
7720ad:4c::/3220ad:4c:ffff:ffff:ffff:ffff:ffff:ffff
7820ad:4d::/3220ad:4d:ffff:ffff:ffff:ffff:ffff:ffff
7920ad:4e::/3220ad:4e:ffff:ffff:ffff:ffff:ffff:ffff
8020ad:4f::/3220ad:4f:ffff:ffff:ffff:ffff:ffff:ffff
8120ad:50::/3220ad:50:ffff:ffff:ffff:ffff:ffff:ffff
8220ad:51::/3220ad:51:ffff:ffff:ffff:ffff:ffff:ffff
8320ad:52::/3220ad:52:ffff:ffff:ffff:ffff:ffff:ffff
8420ad:53::/3220ad:53:ffff:ffff:ffff:ffff:ffff:ffff
8520ad:54::/3220ad:54:ffff:ffff:ffff:ffff:ffff:ffff
8620ad:55::/3220ad:55:ffff:ffff:ffff:ffff:ffff:ffff
8720ad:56::/3220ad:56:ffff:ffff:ffff:ffff:ffff:ffff
8820ad:57::/3220ad:57:ffff:ffff:ffff:ffff:ffff:ffff
8920ad:58::/3220ad:58:ffff:ffff:ffff:ffff:ffff:ffff
9020ad:59::/3220ad:59:ffff:ffff:ffff:ffff:ffff:ffff
9120ad:5a::/3220ad:5a:ffff:ffff:ffff:ffff:ffff:ffff
9220ad:5b::/3220ad:5b:ffff:ffff:ffff:ffff:ffff:ffff
9320ad:5c::/3220ad:5c:ffff:ffff:ffff:ffff:ffff:ffff
9420ad:5d::/3220ad:5d:ffff:ffff:ffff:ffff:ffff:ffff
9520ad:5e::/3220ad:5e:ffff:ffff:ffff:ffff:ffff:ffff
9620ad:5f::/3220ad:5f:ffff:ffff:ffff:ffff:ffff:ffff
9720ad:60::/3220ad:60:ffff:ffff:ffff:ffff:ffff:ffff
9820ad:61::/3220ad:61:ffff:ffff:ffff:ffff:ffff:ffff
9920ad:62::/3220ad:62:ffff:ffff:ffff:ffff:ffff:ffff
10020ad:63::/3220ad:63:ffff:ffff:ffff:ffff:ffff:ffff
10120ad:64::/3220ad:64:ffff:ffff:ffff:ffff:ffff:ffff
10220ad:65::/3220ad:65:ffff:ffff:ffff:ffff:ffff:ffff
10320ad:66::/3220ad:66:ffff:ffff:ffff:ffff:ffff:ffff
10420ad:67::/3220ad:67:ffff:ffff:ffff:ffff:ffff:ffff
10520ad:68::/3220ad:68:ffff:ffff:ffff:ffff:ffff:ffff
10620ad:69::/3220ad:69:ffff:ffff:ffff:ffff:ffff:ffff
10720ad:6a::/3220ad:6a:ffff:ffff:ffff:ffff:ffff:ffff
10820ad:6b::/3220ad:6b:ffff:ffff:ffff:ffff:ffff:ffff
10920ad:6c::/3220ad:6c:ffff:ffff:ffff:ffff:ffff:ffff
11020ad:6d::/3220ad:6d:ffff:ffff:ffff:ffff:ffff:ffff
11120ad:6e::/3220ad:6e:ffff:ffff:ffff:ffff:ffff:ffff
11220ad:6f::/3220ad:6f:ffff:ffff:ffff:ffff:ffff:ffff
11320ad:70::/3220ad:70:ffff:ffff:ffff:ffff:ffff:ffff
11420ad:71::/3220ad:71:ffff:ffff:ffff:ffff:ffff:ffff
11520ad:72::/3220ad:72:ffff:ffff:ffff:ffff:ffff:ffff
11620ad:73::/3220ad:73:ffff:ffff:ffff:ffff:ffff:ffff
11720ad:74::/3220ad:74:ffff:ffff:ffff:ffff:ffff:ffff
11820ad:75::/3220ad:75:ffff:ffff:ffff:ffff:ffff:ffff
11920ad:76::/3220ad:76:ffff:ffff:ffff:ffff:ffff:ffff
12020ad:77::/3220ad:77:ffff:ffff:ffff:ffff:ffff:ffff
12120ad:78::/3220ad:78:ffff:ffff:ffff:ffff:ffff:ffff
12220ad:79::/3220ad:79:ffff:ffff:ffff:ffff:ffff:ffff
12320ad:7a::/3220ad:7a:ffff:ffff:ffff:ffff:ffff:ffff
12420ad:7b::/3220ad:7b:ffff:ffff:ffff:ffff:ffff:ffff
12520ad:7c::/3220ad:7c:ffff:ffff:ffff:ffff:ffff:ffff
12620ad:7d::/3220ad:7d:ffff:ffff:ffff:ffff:ffff:ffff
12720ad:7e::/3220ad:7e:ffff:ffff:ffff:ffff:ffff:ffff
12820ad:7f::/3220ad:7f:ffff:ffff:ffff:ffff:ffff:ffff
12920ad:80::/3220ad:80:ffff:ffff:ffff:ffff:ffff:ffff
13020ad:81::/3220ad:81:ffff:ffff:ffff:ffff:ffff:ffff
13120ad:82::/3220ad:82:ffff:ffff:ffff:ffff:ffff:ffff
13220ad:83::/3220ad:83:ffff:ffff:ffff:ffff:ffff:ffff
13320ad:84::/3220ad:84:ffff:ffff:ffff:ffff:ffff:ffff
13420ad:85::/3220ad:85:ffff:ffff:ffff:ffff:ffff:ffff
13520ad:86::/3220ad:86:ffff:ffff:ffff:ffff:ffff:ffff
13620ad:87::/3220ad:87:ffff:ffff:ffff:ffff:ffff:ffff
13720ad:88::/3220ad:88:ffff:ffff:ffff:ffff:ffff:ffff
13820ad:89::/3220ad:89:ffff:ffff:ffff:ffff:ffff:ffff
13920ad:8a::/3220ad:8a:ffff:ffff:ffff:ffff:ffff:ffff
14020ad:8b::/3220ad:8b:ffff:ffff:ffff:ffff:ffff:ffff
14120ad:8c::/3220ad:8c:ffff:ffff:ffff:ffff:ffff:ffff
14220ad:8d::/3220ad:8d:ffff:ffff:ffff:ffff:ffff:ffff
14320ad:8e::/3220ad:8e:ffff:ffff:ffff:ffff:ffff:ffff
14420ad:8f::/3220ad:8f:ffff:ffff:ffff:ffff:ffff:ffff
14520ad:90::/3220ad:90:ffff:ffff:ffff:ffff:ffff:ffff
14620ad:91::/3220ad:91:ffff:ffff:ffff:ffff:ffff:ffff
14720ad:92::/3220ad:92:ffff:ffff:ffff:ffff:ffff:ffff
14820ad:93::/3220ad:93:ffff:ffff:ffff:ffff:ffff:ffff
14920ad:94::/3220ad:94:ffff:ffff:ffff:ffff:ffff:ffff
15020ad:95::/3220ad:95:ffff:ffff:ffff:ffff:ffff:ffff
15120ad:96::/3220ad:96:ffff:ffff:ffff:ffff:ffff:ffff
15220ad:97::/3220ad:97:ffff:ffff:ffff:ffff:ffff:ffff
15320ad:98::/3220ad:98:ffff:ffff:ffff:ffff:ffff:ffff
15420ad:99::/3220ad:99:ffff:ffff:ffff:ffff:ffff:ffff
15520ad:9a::/3220ad:9a:ffff:ffff:ffff:ffff:ffff:ffff
15620ad:9b::/3220ad:9b:ffff:ffff:ffff:ffff:ffff:ffff
15720ad:9c::/3220ad:9c:ffff:ffff:ffff:ffff:ffff:ffff
15820ad:9d::/3220ad:9d:ffff:ffff:ffff:ffff:ffff:ffff
15920ad:9e::/3220ad:9e:ffff:ffff:ffff:ffff:ffff:ffff
16020ad:9f::/3220ad:9f:ffff:ffff:ffff:ffff:ffff:ffff
16120ad:a0::/3220ad:a0:ffff:ffff:ffff:ffff:ffff:ffff
16220ad:a1::/3220ad:a1:ffff:ffff:ffff:ffff:ffff:ffff
16320ad:a2::/3220ad:a2:ffff:ffff:ffff:ffff:ffff:ffff
16420ad:a3::/3220ad:a3:ffff:ffff:ffff:ffff:ffff:ffff
16520ad:a4::/3220ad:a4:ffff:ffff:ffff:ffff:ffff:ffff
16620ad:a5::/3220ad:a5:ffff:ffff:ffff:ffff:ffff:ffff
16720ad:a6::/3220ad:a6:ffff:ffff:ffff:ffff:ffff:ffff
16820ad:a7::/3220ad:a7:ffff:ffff:ffff:ffff:ffff:ffff
16920ad:a8::/3220ad:a8:ffff:ffff:ffff:ffff:ffff:ffff
17020ad:a9::/3220ad:a9:ffff:ffff:ffff:ffff:ffff:ffff
17120ad:aa::/3220ad:aa:ffff:ffff:ffff:ffff:ffff:ffff
17220ad:ab::/3220ad:ab:ffff:ffff:ffff:ffff:ffff:ffff
17320ad:ac::/3220ad:ac:ffff:ffff:ffff:ffff:ffff:ffff
17420ad:ad::/3220ad:ad:ffff:ffff:ffff:ffff:ffff:ffff
17520ad:ae::/3220ad:ae:ffff:ffff:ffff:ffff:ffff:ffff
17620ad:af::/3220ad:af:ffff:ffff:ffff:ffff:ffff:ffff
17720ad:b0::/3220ad:b0:ffff:ffff:ffff:ffff:ffff:ffff
17820ad:b1::/3220ad:b1:ffff:ffff:ffff:ffff:ffff:ffff
17920ad:b2::/3220ad:b2:ffff:ffff:ffff:ffff:ffff:ffff
18020ad:b3::/3220ad:b3:ffff:ffff:ffff:ffff:ffff:ffff
18120ad:b4::/3220ad:b4:ffff:ffff:ffff:ffff:ffff:ffff
18220ad:b5::/3220ad:b5:ffff:ffff:ffff:ffff:ffff:ffff
18320ad:b6::/3220ad:b6:ffff:ffff:ffff:ffff:ffff:ffff
18420ad:b7::/3220ad:b7:ffff:ffff:ffff:ffff:ffff:ffff
18520ad:b8::/3220ad:b8:ffff:ffff:ffff:ffff:ffff:ffff
18620ad:b9::/3220ad:b9:ffff:ffff:ffff:ffff:ffff:ffff
18720ad:ba::/3220ad:ba:ffff:ffff:ffff:ffff:ffff:ffff
18820ad:bb::/3220ad:bb:ffff:ffff:ffff:ffff:ffff:ffff
18920ad:bc::/3220ad:bc:ffff:ffff:ffff:ffff:ffff:ffff
19020ad:bd::/3220ad:bd:ffff:ffff:ffff:ffff:ffff:ffff
19120ad:be::/3220ad:be:ffff:ffff:ffff:ffff:ffff:ffff
19220ad:bf::/3220ad:bf:ffff:ffff:ffff:ffff:ffff:ffff
19320ad:c0::/3220ad:c0:ffff:ffff:ffff:ffff:ffff:ffff
19420ad:c1::/3220ad:c1:ffff:ffff:ffff:ffff:ffff:ffff
19520ad:c2::/3220ad:c2:ffff:ffff:ffff:ffff:ffff:ffff
19620ad:c3::/3220ad:c3:ffff:ffff:ffff:ffff:ffff:ffff
19720ad:c4::/3220ad:c4:ffff:ffff:ffff:ffff:ffff:ffff
19820ad:c5::/3220ad:c5:ffff:ffff:ffff:ffff:ffff:ffff
19920ad:c6::/3220ad:c6:ffff:ffff:ffff:ffff:ffff:ffff
20020ad:c7::/3220ad:c7:ffff:ffff:ffff:ffff:ffff:ffff
20120ad:c8::/3220ad:c8:ffff:ffff:ffff:ffff:ffff:ffff
20220ad:c9::/3220ad:c9:ffff:ffff:ffff:ffff:ffff:ffff
20320ad:ca::/3220ad:ca:ffff:ffff:ffff:ffff:ffff:ffff
20420ad:cb::/3220ad:cb:ffff:ffff:ffff:ffff:ffff:ffff
20520ad:cc::/3220ad:cc:ffff:ffff:ffff:ffff:ffff:ffff
20620ad:cd::/3220ad:cd:ffff:ffff:ffff:ffff:ffff:ffff
20720ad:ce::/3220ad:ce:ffff:ffff:ffff:ffff:ffff:ffff
20820ad:cf::/3220ad:cf:ffff:ffff:ffff:ffff:ffff:ffff
20920ad:d0::/3220ad:d0:ffff:ffff:ffff:ffff:ffff:ffff
21020ad:d1::/3220ad:d1:ffff:ffff:ffff:ffff:ffff:ffff
21120ad:d2::/3220ad:d2:ffff:ffff:ffff:ffff:ffff:ffff
21220ad:d3::/3220ad:d3:ffff:ffff:ffff:ffff:ffff:ffff
21320ad:d4::/3220ad:d4:ffff:ffff:ffff:ffff:ffff:ffff
21420ad:d5::/3220ad:d5:ffff:ffff:ffff:ffff:ffff:ffff
21520ad:d6::/3220ad:d6:ffff:ffff:ffff:ffff:ffff:ffff
21620ad:d7::/3220ad:d7:ffff:ffff:ffff:ffff:ffff:ffff
21720ad:d8::/3220ad:d8:ffff:ffff:ffff:ffff:ffff:ffff
21820ad:d9::/3220ad:d9:ffff:ffff:ffff:ffff:ffff:ffff
21920ad:da::/3220ad:da:ffff:ffff:ffff:ffff:ffff:ffff
22020ad:db::/3220ad:db:ffff:ffff:ffff:ffff:ffff:ffff
22120ad:dc::/3220ad:dc:ffff:ffff:ffff:ffff:ffff:ffff
22220ad:dd::/3220ad:dd:ffff:ffff:ffff:ffff:ffff:ffff
22320ad:de::/3220ad:de:ffff:ffff:ffff:ffff:ffff:ffff
22420ad:df::/3220ad:df:ffff:ffff:ffff:ffff:ffff:ffff
22520ad:e0::/3220ad:e0:ffff:ffff:ffff:ffff:ffff:ffff
22620ad:e1::/3220ad:e1:ffff:ffff:ffff:ffff:ffff:ffff
22720ad:e2::/3220ad:e2:ffff:ffff:ffff:ffff:ffff:ffff
22820ad:e3::/3220ad:e3:ffff:ffff:ffff:ffff:ffff:ffff
22920ad:e4::/3220ad:e4:ffff:ffff:ffff:ffff:ffff:ffff
23020ad:e5::/3220ad:e5:ffff:ffff:ffff:ffff:ffff:ffff
23120ad:e6::/3220ad:e6:ffff:ffff:ffff:ffff:ffff:ffff
23220ad:e7::/3220ad:e7:ffff:ffff:ffff:ffff:ffff:ffff
23320ad:e8::/3220ad:e8:ffff:ffff:ffff:ffff:ffff:ffff
23420ad:e9::/3220ad:e9:ffff:ffff:ffff:ffff:ffff:ffff
23520ad:ea::/3220ad:ea:ffff:ffff:ffff:ffff:ffff:ffff
23620ad:eb::/3220ad:eb:ffff:ffff:ffff:ffff:ffff:ffff
23720ad:ec::/3220ad:ec:ffff:ffff:ffff:ffff:ffff:ffff
23820ad:ed::/3220ad:ed:ffff:ffff:ffff:ffff:ffff:ffff
23920ad:ee::/3220ad:ee:ffff:ffff:ffff:ffff:ffff:ffff
24020ad:ef::/3220ad:ef:ffff:ffff:ffff:ffff:ffff:ffff
24120ad:f0::/3220ad:f0:ffff:ffff:ffff:ffff:ffff:ffff
24220ad:f1::/3220ad:f1:ffff:ffff:ffff:ffff:ffff:ffff
24320ad:f2::/3220ad:f2:ffff:ffff:ffff:ffff:ffff:ffff
24420ad:f3::/3220ad:f3:ffff:ffff:ffff:ffff:ffff:ffff
24520ad:f4::/3220ad:f4:ffff:ffff:ffff:ffff:ffff:ffff
24620ad:f5::/3220ad:f5:ffff:ffff:ffff:ffff:ffff:ffff
24720ad:f6::/3220ad:f6:ffff:ffff:ffff:ffff:ffff:ffff
24820ad:f7::/3220ad:f7:ffff:ffff:ffff:ffff:ffff:ffff
24920ad:f8::/3220ad:f8:ffff:ffff:ffff:ffff:ffff:ffff
25020ad:f9::/3220ad:f9:ffff:ffff:ffff:ffff:ffff:ffff
25120ad:fa::/3220ad:fa:ffff:ffff:ffff:ffff:ffff:ffff
25220ad:fb::/3220ad:fb:ffff:ffff:ffff:ffff:ffff:ffff
25320ad:fc::/3220ad:fc:ffff:ffff:ffff:ffff:ffff:ffff
25420ad:fd::/3220ad:fd:ffff:ffff:ffff:ffff:ffff:ffff
25520ad:fe::/3220ad:fe:ffff:ffff:ffff:ffff:ffff:ffff
25620ad:ff::/3220ad:ff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses